Loading...
Searching...
No Matches
Gfx::Material Struct Reference

Material of a surface. More...

`#include <src/graphics/core/material.h>`

## Public Member Functions

bool | operator== (const Material &mat) const
bool | operator!= (const Material &mat) const

## Public Attributes

Color | diffuse
| Diffuse color.
Color | ambient
| Ambient color.
Color | specular
| Specular color.

## Detailed Description

Material of a surface.

This structure was created as analog to DirectX's D3DMATERIAL.

It contains values of 3 material colors: diffuse, ambient and specular. In D3DMATERIAL there are other fields, but they are not used by the graphics engine.

## Member Data Documentation

## diffuse

Color Gfx::Material::diffuse

Diffuse color.

## ambient

Color Gfx::Material::ambient

Ambient color.

## specular

Color Gfx::Material::specular

Specular color.

The documentation for this struct was generated from the following file:

- src/graphics/core/material.h